Subject: bug#65049: Minor update to the repro steps

From: Maxim Kim <[email-masked]>
Date: Mon, 07 Aug 2023 11:09:09 +1000

It looks like line ending issue, I have tried generated patch in a terminal:

    PS C:\Users\maxim.kim\.emacs.d> git --no-pager apply --cached ..\AppData\Local\Temp\git-patchyYAcN5
    error: patch failed: init.el:1
    error: init.el: patch does not apply

Then added --ignore-space-change (found in
https://www.delftstack.com/howto/git/git-patch-does-not-apply/#troubleshoot-git-patch-error-patch-does-not-apply
and in magit issues https://github.com/magit/magit/issues/1139 plus
linked https://github.com/magit/magit/issues/487#issuecomment-31727377)

    PS C:\Users\maxim.kim\.emacs.d> git --no-pager apply --ignore-space-change --cached ..\AppData\Local\Temp\git-patchyYAcN5
    PS C:\Users\maxim.kim\.emacs.d>

and git apply worked out.

Then I changed line 1058 in vc-git-checkin to:

              (vc-git-command nil 0 patch-file "apply" "--ignore-space-change" "--cached")

And now it looks like it "works", however I can see a change in line
endings for the patched lines (here I have changed first line and
after comitting I can see ^M there):

 ;;; init.el --- emacs init file -*- lexical-binding: t; -*-^M
;;; Commentary:
;; Maxim Kim <[email-masked]>
;;; Code:

Not sure what a proper fix should look like though.